#!/bin/bash

cd ./swig_libs
swig -tcl midi.i
gcc -c -fpic midi.c midi_wrap.c -I/usr/local/include
gcc -shared midi.o midi_wrap.o -o midi.so
swig -tcl prime.i
gcc -c -fpic prime.c prime_wrap.c -I/usr/local/include
gcc -shared prime.o prime_wrap.o -o prime.so
swig -tcl rand.i
gcc -c -fpic rand.c rand_wrap.c -I/usr/local/include
gcc -shared rand.o rand_wrap.o -o rand.so
cp *.so /usr/local/lib

cd ../source
cp * /usr/local/bin

cd ../mf2t
rm *.o mf2t t2mf
make -f makefile
cp mf2t t2mf /usr/local/bin